---
editUrl: false
next: false
prev: false
title: "Services"
---

> **Services**\<`T`\>(...`keys`): `IntoDependencies`\<`T`\>

## Type parameters

• **T** *extends* keyof `Dependencies`[]

## Parameters

• ...**keys**: [`...T[]`]

## Returns

`IntoDependencies`\<`T`\>

array of dependencies, in the same order of keys provided

## Since

3.0.0
The plural version of [Service](../../../../../../v3/api/functions/service)

## Source

[src/core/ioc/dependency-injection.ts:47](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/ioc/dependency-injection.ts#L47)
